Bug 204544 - Submitting hardware profile with too many chars causes traceback on server
Submitting hardware profile with too many chars causes traceback on server
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
Brandon Perkins
Depends On:
  Show dependency treegraph
Reported: 2006-08-29 16:22 EDT by Daniel Benamy
Modified: 2008-10-14 16:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-14 16:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Device too long traceback (63.95 KB, text/plain)
2006-08-29 16:22 EDT, Daniel Benamy
no flags Details

  None (edit)
Description Daniel Benamy 2006-08-29 16:22:57 EDT
Description of problem:
Initially the new hal code for detecting hardware sent the whole device path and
name for device and didn't know that the database only had 16 chars for it. This
was causing the attached traceback on the server. Ron fixed the problem client
side by limiting the device, but the server should probably be a little more
careful too and return a nice error.
Comment 1 Daniel Benamy 2006-08-29 16:22:57 EDT
Created attachment 135171 [details]
Device too long traceback
Comment 2 Red Hat Bugzilla 2007-04-11 21:09:19 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Amanda Carter 2008-10-14 16:26:08 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.